1. Players
api.video
  • Account
    • Show account
      GET
  • Analytics
    • List live stream player sessions
      GET
    • List player session events
      GET
    • List video player sessions
      GET
  • Authentication
    • Authenticate
      POST
    • Refresh token
      POST
  • Live
    • List all live streams
      GET
    • Create live stream
      POST
    • Delete a live stream
      DELETE
    • Show live stream
      GET
    • Update a live stream
      PATCH
    • Delete a thumbnail
      DELETE
    • Upload a thumbnail
      POST
  • Players
    • List all players
      GET
    • Create a player
      POST
    • Delete a player
      DELETE
    • Show a player
      GET
    • Update a player
      PATCH
    • Delete logo
      DELETE
    • Upload a logo
      POST
  • Videos - Delegated upload
    • Upload with an upload token
      POST
    • List all active upload tokens.
      GET
    • Generate an upload token
      POST
    • Delete an upload token
      DELETE
    • Show upload token
      GET
  • Videos
    • List all videos
    • Create a video
    • Delete a video
    • Show a video
    • Update a video
    • Upload a video
    • Show video status
    • Pick a thumbnail
    • Upload a thumbnail
  • Captions
    • List video captions
    • Delete a caption
    • Show a caption
    • Update caption
    • Upload a caption
  • Chapters
    • List video chapters
    • Delete a chapter
    • Show a chapter
    • Upload a chapter
  • Webhooks
    • List all webhooks
    • Create Webhook
    • Delete a Webhook
    • Show Webhook details
  • Schemas
    • Schemas
      • AccessToken
      • AccessToken
      • Account
      • Account
      • apiKey
      • apiKey
      • BadRequest
      • BadRequest
      • bytes_range
      • VideoCaptions
      • VideoCaptions
      • UpdateCaptionPayload
      • UpdateCaptionPayload
      • captions-upload-payload
      • Chapter
      • Chapter
      • VideoChapters
      • VideoChapters
      • UpdateChapterPayload
      • UpdateChapterPayload
      • link
      • LiveStream
      • LiveStream
      • liveStreamCreationPayload
      • liveStreamCreationPayload
      • LiveStreams
      • LiveStreams
      • Live Stream Session
      • Live Stream Session
      • live-stream-thumbnail-upload-payload
      • LiveStreamUpdatePayload
      • LiveStreamUpdatePayload
      • live_stream_assets
      • live_stream_session_client
      • live_stream_session_device
      • live_stream_session_location
      • live_stream_session_referrer
      • live_stream_session_session
      • metadata
      • NotFound
      • NotFound
      • Pagination
      • Pagination
      • PaginationLink
      • PaginationLink
      • Player
      • Player
      • Player Session Event
      • Player Session Event
      • playerCreationPayload
      • playerUpdatePayload
      • PlayerInput
      • PlayerInput
      • Players
      • Players
      • players-upload-logo-payload
      • quality
      • LiveStreamSessions
      • LiveStreamSessions
      • PlayerSessionEvents
      • PlayerSessionEvents
      • VideoSessions
      • VideoSessions
      • refreshToken
      • refreshToken
      • Subtitle
      • Subtitle
      • tokenCreationPayload
      • tokenCreationPayload
      • uploadTokens
      • uploadTokens
      • token-upload-payload
      • UploadToken
      • UploadToken
      • video
      • videoCreationPayload
      • videoCreationPayload
      • Video Session
      • Video Session
      • pickThumbnailPayload
      • pickThumbnailPayload
      • video-thumbnail-upload-payload
      • videoUpdatePayload
      • videoUpdatePayload
      • video-upload-payload
      • videoAssets
      • videoSource
      • video_session_client
      • video_session_device
      • video_session_location
      • video_session_os
      • video_session_referrer
      • video_session_session
      • video_source_live_stream
      • video_source_live_stream_link
      • Videos
      • Videos
      • VideoStatus
      • VideoStatus
      • videostatus_encoding
      • videostatus_encoding_metadata
      • videostatus_ingest
      • Webhook
      • Webhook
      • webhooks-create-payload
      • Webhooks
      • Webhooks
  1. Players

Create a player

POST
/players
Create a player for your video, and customise it.

Request

Body Params application/json

Examples

Responses

🟢201Created
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://ws.api.video/players' \
--header 'Content-Type: application/json' \
--data-raw '{
    "assets": {
        "link": "https://api.video",
        "logo": "https://cdn.api.video/player/pl14Db6oMJRH6SRVoOwORacK/logo.png"
    },
    "backgroundBottom": "rgba(94, 95, 89, 1)",
    "backgroundText": "rgba(255, 255, 255, .95)",
    "backgroundTop": "rgba(72, 4, 45, 1)",
    "enableApi": true,
    "enableControls": true,
    "forceAutoplay": false,
    "forceLoop": false,
    "hideTitle": false,
    "language": "en",
    "link": "rgba(255, 0, 0, .95)",
    "linkActive": "rgba(255, 0, 0, .75)",
    "linkHover": "rgba(255, 255, 255, .75)",
    "shapeAspect": "flat",
    "shapeBackgroundBottom": "rgba(50, 50, 50, .8)",
    "shapeBackgroundTop": "rgba(50, 50, 50, .7)",
    "shapeMargin": 10,
    "shapeRadius": 3,
    "text": "rgba(255, 255, 255, .95)",
    "trackBackground": "rgba(0, 0, 0, 0)",
    "trackPlayed": "rgba(255, 255, 255, .95)",
    "trackUnplayed": "rgba(255, 255, 255, .1)"
}'
Response Response Example
{
    "backgroundBottom": "rgba(94, 95, 89, 1)",
    "backgroundText": "rgba(255, 255, 255, .95)",
    "backgroundTop": "rgba(72, 4, 45, 1)",
    "createdAt": "2020-01-13T10:09:17.000Z",
    "enableApi": false,
    "enableControls": false,
    "forceAutoplay": false,
    "forceLoop": false,
    "hideTitle": false,
    "link": "rgba(255, 0, 0, .95)",
    "linkActive": "rgba(255, 0, 0, .75)",
    "linkHover": "rgba(255, 255, 255, .75)",
    "playerId": "pl45d5vFFGrfdsdsd156dGhh",
    "shapeAspect": "flat",
    "shapeBackgroundBottom": "rgba(50, 50, 50, .8)",
    "shapeBackgroundTop": "rgba(50, 50, 50, .7)",
    "shapeRadius": 3,
    "text": "rgba(255, 255, 255, .95)",
    "trackBackground": "rgba(0, 0, 0, 0)",
    "trackPlayed": "rgba(255, 255, 255, .95)",
    "trackUnplayed": "rgba(255, 255, 255, .1)",
    "updatedAt": "2020-01-13T10:09:17.000Z"
}
Modified at 2023-08-15 05:52:15
Previous
List all players
Next
Delete a player
Built with